# FlowScene Class Reference

`#include <FlowScene.h>`

Collaboration diagram for FlowScene:
[legend]

List of all members.

## Public Member Functions
| FlowScene (QWidget *parent)
virtual | ~FlowScene (void)
void | setFlowDataRef (FlowData *flowData)
## Public Attributes
ArrowPlot | arrowPlot
ColorCoding | colorCoding
Streamlines | streamlines
## Protected Member Functions
void | drawForeground (QPainter *painter, const QRectF &rect)
bool | drawArrowPlot ()
void | setupGLScene (const QRectF &rect)
void | mousePressEvent (QGraphicsSceneMouseEvent *e)
void | mouseReleaseEvent (QGraphicsSceneMouseEvent *e)
void | mouseMoveEvent (QGraphicsSceneMouseEvent *e)
void | wheelEvent (QGraphicsSceneWheelEvent *e)
## Private Attributes
int | m_sceneWidth
int | m_sceneHeight
FlowData * | m_flowData
bool | m_buttonDown
float | m_zDistance
QPointF | m_pos

## Constructor & Destructor Documentation

FlowScene::FlowScene | ( | QWidget * | parent | ) |

FlowScene::~FlowScene | ( | void |  | ) | `[virtual]`

## Member Function Documentation

bool FlowScene::drawArrowPlot | ( |  | ) | `[protected]`

void FlowScene::drawForeground | ( | QPainter * | painter,
|  | const QRectF & | rect |
| ) |  |  | `[protected]`

void FlowScene::mouseMoveEvent | ( | QGraphicsSceneMouseEvent * | e | ) | `[protected]`

Method called when mouse is moved, allows to move in the scene

Parameters:

  | e | QGraphicsSceneMouseEvent

void FlowScene::mousePressEvent | ( | QGraphicsSceneMouseEvent * | e | ) | `[protected]`

Called when mousebutton is pressed

Parameters:

  | e | QGraphicsSceneMouseEvent

void FlowScene::mouseReleaseEvent | ( | QGraphicsSceneMouseEvent * | e | ) | `[protected]`

Called when mousebutton is released

Parameters:

  | e | QGraphicsSceneMouseEvent

void FlowScene::setFlowDataRef | ( | FlowData * | flowData | ) |

void FlowScene::setupGLScene | ( | const QRectF & | rect | ) | `[protected]`

void FlowScene::wheelEvent | ( | QGraphicsSceneWheelEvent * | e | ) | `[protected]`

Method called when mousewheel is moved, is used to zoom into the scene

Parameters:

  | e | QGraphicsSceneMouseEvent

## Member Data Documentation

ArrowPlot FlowScene::arrowPlot

ColorCoding FlowScene::colorCoding

bool FlowScene::m_buttonDown`[private]`

FlowData* FlowScene::m_flowData`[private]`

QPointF FlowScene::m_pos`[private]`

int FlowScene::m_sceneHeight`[private]`

int FlowScene::m_sceneWidth`[private]`

float FlowScene::m_zDistance`[private]`

Streamlines FlowScene::streamlines

The documentation for this class was generated from the following files:

- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/header/FlowScene.h
- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/src/FlowScene.cpp